Commit f570727b authored by mru's avatar mru

replace some "disabled" calls with "! enabled"


git-svn-id: file:///var/local/repositories/ffmpeg/trunk@9859 9553f0bf-9b14-0410-a0b8-cfaf0461ba5b
parent c67d2685
...@@ -1223,7 +1223,7 @@ ranlib="${cross_prefix}${ranlib}" ...@@ -1223,7 +1223,7 @@ ranlib="${cross_prefix}${ranlib}"
strip="${cross_prefix}${strip}" strip="${cross_prefix}${strip}"
# we need to build at least one lib type # we need to build at least one lib type
if disabled_all static shared; then if ! enabled_any static shared; then
cat <<EOF cat <<EOF
At least one library type must be built. At least one library type must be built.
Specify --enable-static to build the static libraries or --enable-shared to Specify --enable-static to build the static libraries or --enable-shared to
...@@ -1233,7 +1233,7 @@ EOF ...@@ -1233,7 +1233,7 @@ EOF
exit 1; exit 1;
fi fi
if disabled libogg; then if ! enabled libogg; then
enabled libtheora && die "libogg must be enabled to enable libtheora." enabled libtheora && die "libogg must be enabled to enable libtheora."
enabled libvorbis && die "libogg must be enabled to enable libvorbis." enabled libvorbis && die "libogg must be enabled to enable libvorbis."
fi fi
...@@ -1254,7 +1254,7 @@ EOF ...@@ -1254,7 +1254,7 @@ EOF
fi fi
if disabled gpl ; then if ! enabled gpl; then
die_gpl_disabled(){ die_gpl_disabled(){
name=$1 name=$1
shift shift
...@@ -1390,7 +1390,7 @@ int main(){ ...@@ -1390,7 +1390,7 @@ int main(){
EOF EOF
if test "$?" != 0; then if test "$?" != 0; then
echo "$cc is unable to create an executable file." echo "$cc is unable to create an executable file."
if test -z "$cross_prefix" && disabled cross_compile ; then if test -z "$cross_prefix" && ! enabled cross_compile ; then
echo "If $cc is a cross-compiler, use the --cross-compile option." echo "If $cc is a cross-compiler, use the --cross-compile option."
echo "Only do this if you know what cross compiling means." echo "Only do this if you know what cross compiling means."
fi fi
...@@ -1496,7 +1496,7 @@ EOF ...@@ -1496,7 +1496,7 @@ EOF
# --- # ---
# big/little-endian test # big/little-endian test
if disabled cross_compile; then if ! enabled cross_compile; then
check_ld <<EOF || die "endian test failed" && $TMPE && bigendian="yes" check_ld <<EOF || die "endian test failed" && $TMPE && bigendian="yes"
#include <inttypes.h> #include <inttypes.h>
int main(int argc, char ** argv){ int main(int argc, char ** argv){
...@@ -1517,7 +1517,7 @@ fi ...@@ -1517,7 +1517,7 @@ fi
check_header malloc.h check_header malloc.h
check_func memalign check_func memalign
if disabled_all memalign memalign_hack && enabled need_memalign ; then if ! enabled_any memalign memalign_hack && enabled need_memalign ; then
die "Error, no memalign() but SSE enabled, disable it or use --enable-memalign-hack." die "Error, no memalign() but SSE enabled, disable it or use --enable-memalign-hack."
fi fi
...@@ -1850,7 +1850,7 @@ echo "libvorbis enabled ${libvorbis-no}" ...@@ -1850,7 +1850,7 @@ echo "libvorbis enabled ${libvorbis-no}"
echo "x264 enabled ${libx264-no}" echo "x264 enabled ${libx264-no}"
echo "XviD enabled ${libxvid-no}" echo "XviD enabled ${libxvid-no}"
echo "zlib enabled ${zlib-no}" echo "zlib enabled ${zlib-no}"
if disabled gpl; then if ! enabled gpl; then
echo "License: LGPL" echo "License: LGPL"
else else
echo "License: GPL" echo "License: GPL"
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment